Bug 211222 - games/manaplus: Take MAINTAINER'ship
Summary: games/manaplus: Take MAINTAINER'ship
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Torsten Zuehlsdorff
URL:
Keywords: needs-qa, patch
Depends on:
Blocks:
 
Reported: 2016-07-19 12:07 UTC by Thibault Payet
Modified: 2016-08-24 13:50 UTC (History)
2 users (show)

See Also:
koobs: maintainer-feedback? (monwarez)
koobs: merge-quarterly?


Attachments
the diff of the port (3.94 KB, patch)
2016-07-19 12:07 UTC, Thibault Payet
koobs: maintainer-approval+
Details | Diff
diff for take maintainer'ship (420 bytes, patch)
2016-08-24 05:44 UTC, Thibault Payet
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Thibault Payet 2016-07-19 12:07:39 UTC
Created attachment 172716 [details]
the diff of the port
Comment 1 Kubilay Kocak freebsd_committer freebsd_triage 2016-07-19 12:12:22 UTC
Thank you for you contribution and offer to maintain this port Thibault

For future issues, it's worthwhile separating version updates with fixes/other changes, so that they can be individually merged to the quarterly branch when applicable

Also, please confirm this passes QA (portlint, poudriere). If you need further details, see: https://www.freebsd.org/doc/en_US.ISO8859-1/books/porters-handbook/testing.html

For committer who takes this issue, if you can commit the changes separately and MFH the MAINTAINER change, please do so
Comment 2 Kubilay Kocak freebsd_committer freebsd_triage 2016-07-19 12:12:45 UTC
Comment on attachment 172716 [details]
the diff of the port

Port is unmaintained, implicit approval
Comment 3 Thibault Payet 2016-07-19 12:16:40 UTC
It pass QA, here is the poudriere logs https://gist.github.com/monwarez/0d4409f4e6a22d5c41ed31b66eafb7f0
Comment 4 Thibault Payet 2016-07-19 12:26:17 UTC
(In reply to Kubilay Kocak from comment #1)
Ok I will remember about that next time, just one thing if an update needs patch to works I can(have to) do it in the same issue ?
Comment 5 Thibault Payet 2016-07-20 09:23:47 UTC
My bad, I didn't check if my gist was complete, here a link on a repo instead:
the poudriere log:
https://gitlab.com/monwarez/FreeBSD-ports-poudriere-log/blob/master/manaplus/102amd64-manaplus-1.6.7.16.log
Comment 6 Thibault Payet 2016-08-24 05:44:42 UTC
Created attachment 173997 [details]
diff for take maintainer'ship

I will do the update after take maintainer'ship
Comment 7 Torsten Zuehlsdorff freebsd_committer 2016-08-24 13:29:02 UTC
Okay, just now after finishing the testbuilds :D
Comment 8 commit-hook freebsd_committer 2016-08-24 13:49:32 UTC
A commit references this bug:

Author: tz
Date: Wed Aug 24 13:48:42 UTC 2016
New revision: 420790
URL: https://svnweb.freebsd.org/changeset/ports/420790

Log:
  games/manaplus: submitter becomes maintainer

  PR:           211222
  Submitted by: Thibault Payet <monwarez@mailoo.org>
  Approved by:  junovitch (mentor)

Changes:
  head/games/manaplus/Makefile
Comment 9 Torsten Zuehlsdorff freebsd_committer 2016-08-24 13:50:04 UTC
Committed, thanks!